import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_slick/navigation/view_model.dart';

@immutable
abstract class ViewModelWidget<T extends ViewModel> {
  final T vm;

  const ViewModelWidget({required this.vm});

  @mustCallSuper
  @factory
  Widget build(BuildContext context);
}
